package com.gh.common.provider

import com.gh.gamecenter.feature.entity.GameInstall
import com.gh.gamecenter.feature.provider.IPackagesManagerProvider
import com.gh.gamecenter.manager.PackagesManager

@com.therouter.inject.ServiceProvider
class PackagesManagerProviderImpl: IPackagesManagerProvider {
    override fun isCanPluggable(gameId: String?, packageName: String?): Boolean {
        return PackagesManager.isCanPluggable(gameId, packageName)
    }

    override fun getFilterSameApkInstalledList(): ArrayList<GameInstall> {
        return PackagesManager.getFilterSameApkInstalledList()
    }
}